OrcProto.ColumnStatistics.Builder (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Class OrcProto.ColumnStatistics.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<OrcProto.ColumnStatistics.Builder>
      - - org.apache.orc.OrcProto.ColumnStatistics.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, OrcProto.ColumnStatisticsOrBuilder
  Enclosing class:
    OrcProto.ColumnStatistics

      public static final class OrcProto.ColumnStatistics.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<OrcProto.ColumnStatistics.Builder>
      implements OrcProto.ColumnStatisticsOrBuilder

  Protobuf type `orc.proto.ColumnStatistics`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrcProto.ColumnStatistics` | `build()`
    `OrcProto.ColumnStatistics` | `buildPartial()`
    `OrcProto.ColumnStatistics.Builder` | `clear()`
    `OrcProto.ColumnStatistics.Builder` | `clearBinaryStatistics()` `optional .orc.proto.BinaryStatistics binaryStatistics = 8;`
    `OrcProto.ColumnStatistics.Builder` | `clearBucketStatistics()` `optional .orc.proto.BucketStatistics bucketStatistics = 5;`
    `OrcProto.ColumnStatistics.Builder` | `clearDateStatistics()` `optional .orc.proto.DateStatistics dateStatistics = 7;`
    `OrcProto.ColumnStatistics.Builder` | `clearDecimalStatistics()` `optional .orc.proto.DecimalStatistics decimalStatistics = 6;`
    `OrcProto.ColumnStatistics.Builder` | `clearDoubleStatistics()` `optional .orc.proto.DoubleStatistics doubleStatistics = 3;`
    `OrcProto.ColumnStatistics.Builder` | `clearHasNull()` `optional bool hasNull = 10;`
    `OrcProto.ColumnStatistics.Builder` | `clearIntStatistics()` `optional .orc.proto.IntegerStatistics intStatistics = 2;`
    `OrcProto.ColumnStatistics.Builder` | `clearNumberOfValues()` `optional uint64 numberOfValues = 1;`
    `OrcProto.ColumnStatistics.Builder` | `clearStringStatistics()` `optional .orc.proto.StringStatistics stringStatistics = 4;`
    `OrcProto.ColumnStatistics.Builder` | `clearTimestampStatistics()` `optional .orc.proto.TimestampStatistics timestampStatistics = 9;`
    `OrcProto.ColumnStatistics.Builder` | `clone()`
    `OrcProto.BinaryStatistics` | `getBinaryStatistics()` `optional .orc.proto.BinaryStatistics binaryStatistics = 8;`
    `OrcProto.BinaryStatistics.Builder` | `getBinaryStatisticsBuilder()` `optional .orc.proto.BinaryStatistics binaryStatistics = 8;`
    `OrcProto.BinaryStatisticsOrBuilder` | `getBinaryStatisticsOrBuilder()` `optional .orc.proto.BinaryStatistics binaryStatistics = 8;`
    `OrcProto.BucketStatistics` | `getBucketStatistics()` `optional .orc.proto.BucketStatistics bucketStatistics = 5;`
    `OrcProto.BucketStatistics.Builder` | `getBucketStatisticsBuilder()` `optional .orc.proto.BucketStatistics bucketStatistics = 5;`
    `OrcProto.BucketStatisticsOrBuilder` | `getBucketStatisticsOrBuilder()` `optional .orc.proto.BucketStatistics bucketStatistics = 5;`
    `OrcProto.DateStatistics` | `getDateStatistics()` `optional .orc.proto.DateStatistics dateStatistics = 7;`
    `OrcProto.DateStatistics.Builder` | `getDateStatisticsBuilder()` `optional .orc.proto.DateStatistics dateStatistics = 7;`
    `OrcProto.DateStatisticsOrBuilder` | `getDateStatisticsOrBuilder()` `optional .orc.proto.DateStatistics dateStatistics = 7;`
    `OrcProto.DecimalStatistics` | `getDecimalStatistics()` `optional .orc.proto.DecimalStatistics decimalStatistics = 6;`
    `OrcProto.DecimalStatistics.Builder` | `getDecimalStatisticsBuilder()` `optional .orc.proto.DecimalStatistics decimalStatistics = 6;`
    `OrcProto.DecimalStatisticsOrBuilder` | `getDecimalStatisticsOrBuilder()` `optional .orc.proto.DecimalStatistics decimalStatistics = 6;`
    `OrcProto.ColumnStatistics` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `OrcProto.DoubleStatistics` | `getDoubleStatistics()` `optional .orc.proto.DoubleStatistics doubleStatistics = 3;`
    `OrcProto.DoubleStatistics.Builder` | `getDoubleStatisticsBuilder()` `optional .orc.proto.DoubleStatistics doubleStatistics = 3;`
    `OrcProto.DoubleStatisticsOrBuilder` | `getDoubleStatisticsOrBuilder()` `optional .orc.proto.DoubleStatistics doubleStatistics = 3;`
    `boolean` | `getHasNull()` `optional bool hasNull = 10;`
    `OrcProto.IntegerStatistics` | `getIntStatistics()` `optional .orc.proto.IntegerStatistics intStatistics = 2;`
    `OrcProto.IntegerStatistics.Builder` | `getIntStatisticsBuilder()` `optional .orc.proto.IntegerStatistics intStatistics = 2;`
    `OrcProto.IntegerStatisticsOrBuilder` | `getIntStatisticsOrBuilder()` `optional .orc.proto.IntegerStatistics intStatistics = 2;`
    `long` | `getNumberOfValues()` `optional uint64 numberOfValues = 1;`
    `OrcProto.StringStatistics` | `getStringStatistics()` `optional .orc.proto.StringStatistics stringStatistics = 4;`
    `OrcProto.StringStatistics.Builder` | `getStringStatisticsBuilder()` `optional .orc.proto.StringStatistics stringStatistics = 4;`
    `OrcProto.StringStatisticsOrBuilder` | `getStringStatisticsOrBuilder()` `optional .orc.proto.StringStatistics stringStatistics = 4;`
    `OrcProto.TimestampStatistics` | `getTimestampStatistics()` `optional .orc.proto.TimestampStatistics timestampStatistics = 9;`
    `OrcProto.TimestampStatistics.Builder` | `getTimestampStatisticsBuilder()` `optional .orc.proto.TimestampStatistics timestampStatistics = 9;`
    `OrcProto.TimestampStatisticsOrBuilder` | `getTimestampStatisticsOrBuilder()` `optional .orc.proto.TimestampStatistics timestampStatistics = 9;`
    `boolean` | `hasBinaryStatistics()` `optional .orc.proto.BinaryStatistics binaryStatistics = 8;`
    `boolean` | `hasBucketStatistics()` `optional .orc.proto.BucketStatistics bucketStatistics = 5;`
    `boolean` | `hasDateStatistics()` `optional .orc.proto.DateStatistics dateStatistics = 7;`
    `boolean` | `hasDecimalStatistics()` `optional .orc.proto.DecimalStatistics decimalStatistics = 6;`
    `boolean` | `hasDoubleStatistics()` `optional .orc.proto.DoubleStatistics doubleStatistics = 3;`
    `boolean` | `hasHasNull()` `optional bool hasNull = 10;`
    `boolean` | `hasIntStatistics()` `optional .orc.proto.IntegerStatistics intStatistics = 2;`
    `boolean` | `hasNumberOfValues()` `optional uint64 numberOfValues = 1;`
    `boolean` | `hasStringStatistics()` `optional .orc.proto.StringStatistics stringStatistics = 4;`
    `boolean` | `hasTimestampStatistics()` `optional .orc.proto.TimestampStatistics timestampStatistics = 9;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `OrcProto.ColumnStatistics.Builder` | `mergeBinaryStatistics(OrcProto.BinaryStatistics value)` `optional .orc.proto.BinaryStatistics binaryStatistics = 8;`
    `OrcProto.ColumnStatistics.Builder` | `mergeBucketStatistics(OrcProto.BucketStatistics value)` `optional .orc.proto.BucketStatistics bucketStatistics = 5;`
    `OrcProto.ColumnStatistics.Builder` | `mergeDateStatistics(OrcProto.DateStatistics value)` `optional .orc.proto.DateStatistics dateStatistics = 7;`
    `OrcProto.ColumnStatistics.Builder` | `mergeDecimalStatistics(OrcProto.DecimalStatistics value)` `optional .orc.proto.DecimalStatistics decimalStatistics = 6;`
    `OrcProto.ColumnStatistics.Builder` | `mergeDoubleStatistics(OrcProto.DoubleStatistics value)` `optional .orc.proto.DoubleStatistics doubleStatistics = 3;`
    `OrcProto.ColumnStatistics.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `OrcProto.ColumnStatistics.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `OrcProto.ColumnStatistics.Builder` | `mergeFrom(OrcProto.ColumnStatistics other)`
    `OrcProto.ColumnStatistics.Builder` | `mergeIntStatistics(OrcProto.IntegerStatistics value)` `optional .orc.proto.IntegerStatistics intStatistics = 2;`
    `OrcProto.ColumnStatistics.Builder` | `mergeStringStatistics(OrcProto.StringStatistics value)` `optional .orc.proto.StringStatistics stringStatistics = 4;`
    `OrcProto.ColumnStatistics.Builder` | `mergeTimestampStatistics(OrcProto.TimestampStatistics value)` `optional .orc.proto.TimestampStatistics timestampStatistics = 9;`
    `OrcProto.ColumnStatistics.Builder` | `setBinaryStatistics(OrcProto.BinaryStatistics.Builder builderForValue)` `optional .orc.proto.BinaryStatistics binaryStatistics = 8;`
    `OrcProto.ColumnStatistics.Builder` | `setBinaryStatistics(OrcProto.BinaryStatistics value)` `optional .orc.proto.BinaryStatistics binaryStatistics = 8;`
    `OrcProto.ColumnStatistics.Builder` | `setBucketStatistics(OrcProto.BucketStatistics.Builder builderForValue)` `optional .orc.proto.BucketStatistics bucketStatistics = 5;`
    `OrcProto.ColumnStatistics.Builder` | `setBucketStatistics(OrcProto.BucketStatistics value)` `optional .orc.proto.BucketStatistics bucketStatistics = 5;`
    `OrcProto.ColumnStatistics.Builder` | `setDateStatistics(OrcProto.DateStatistics.Builder builderForValue)` `optional .orc.proto.DateStatistics dateStatistics = 7;`
    `OrcProto.ColumnStatistics.Builder` | `setDateStatistics(OrcProto.DateStatistics value)` `optional .orc.proto.DateStatistics dateStatistics = 7;`
    `OrcProto.ColumnStatistics.Builder` | `setDecimalStatistics(OrcProto.DecimalStatistics.Builder builderForValue)` `optional .orc.proto.DecimalStatistics decimalStatistics = 6;`
    `OrcProto.ColumnStatistics.Builder` | `setDecimalStatistics(OrcProto.DecimalStatistics value)` `optional .orc.proto.DecimalStatistics decimalStatistics = 6;`
    `OrcProto.ColumnStatistics.Builder` | `setDoubleStatistics(OrcProto.DoubleStatistics.Builder builderForValue)` `optional .orc.proto.DoubleStatistics doubleStatistics = 3;`
    `OrcProto.ColumnStatistics.Builder` | `setDoubleStatistics(OrcProto.DoubleStatistics value)` `optional .orc.proto.DoubleStatistics doubleStatistics = 3;`
    `OrcProto.ColumnStatistics.Builder` | `setHasNull(boolean value)` `optional bool hasNull = 10;`
    `OrcProto.ColumnStatistics.Builder` | `setIntStatistics(OrcProto.IntegerStatistics.Builder builderForValue)` `optional .orc.proto.IntegerStatistics intStatistics = 2;`
    `OrcProto.ColumnStatistics.Builder` | `setIntStatistics(OrcProto.IntegerStatistics value)` `optional .orc.proto.IntegerStatistics intStatistics = 2;`
    `OrcProto.ColumnStatistics.Builder` | `setNumberOfValues(long value)` `optional uint64 numberOfValues = 1;`
    `OrcProto.ColumnStatistics.Builder` | `setStringStatistics(OrcProto.StringStatistics.Builder builderForValue)` `optional .orc.proto.StringStatistics stringStatistics = 4;`
    `OrcProto.ColumnStatistics.Builder` | `setStringStatistics(OrcProto.StringStatistics value)` `optional .orc.proto.StringStatistics stringStatistics = 4;`
    `OrcProto.ColumnStatistics.Builder` | `setTimestampStatistics(OrcProto.TimestampStatistics.Builder builderForValue)` `optional .orc.proto.TimestampStatistics timestampStatistics = 9;`
    `OrcProto.ColumnStatistics.Builder` | `setTimestampStatistics(OrcProto.TimestampStatistics value)` `optional .orc.proto.TimestampStatistics timestampStatistics = 9;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.ColumnStatistics.Builder>`

    - #### clear

          public OrcProto.ColumnStatistics.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.ColumnStatistics.Builder>`

    - #### clone

          public OrcProto.ColumnStatistics.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.ColumnStatistics.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.ColumnStatistics.Builder>`

    - #### getDefaultInstanceForType

          public OrcProto.ColumnStatistics getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public OrcProto.ColumnStatistics build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public OrcProto.ColumnStatistics buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public OrcProto.ColumnStatistics.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.ColumnStatistics.Builder>`

    - #### mergeFrom

          public OrcProto.ColumnStatistics.Builder mergeFrom(OrcProto.ColumnStatistics other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.ColumnStatistics.Builder>`

    - #### mergeFrom

          public OrcProto.ColumnStatistics.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                      throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.ColumnStatistics.Builder>`
      Throws:
        `IOException`

    - #### hasNumberOfValues

          public boolean hasNumberOfValues()

      `optional uint64 numberOfValues = 1;`
      Specified by:
        `hasNumberOfValues` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### getNumberOfValues

          public long getNumberOfValues()

      `optional uint64 numberOfValues = 1;`
      Specified by:
        `getNumberOfValues` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### setNumberOfValues

          public OrcProto.ColumnStatistics.Builder setNumberOfValues(long value)

      `optional uint64 numberOfValues = 1;`

    - #### clearNumberOfValues

          public OrcProto.ColumnStatistics.Builder clearNumberOfValues()

      `optional uint64 numberOfValues = 1;`

    - #### hasIntStatistics

          public boolean hasIntStatistics()

      `optional .orc.proto.IntegerStatistics intStatistics = 2;`
      Specified by:
        `hasIntStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### getIntStatistics

          public OrcProto.IntegerStatistics getIntStatistics()

      `optional .orc.proto.IntegerStatistics intStatistics = 2;`
      Specified by:
        `getIntStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### setIntStatistics

          public OrcProto.ColumnStatistics.Builder setIntStatistics(OrcProto.IntegerStatistics value)

      `optional .orc.proto.IntegerStatistics intStatistics = 2;`

    - #### setIntStatistics

          public OrcProto.ColumnStatistics.Builder setIntStatistics(OrcProto.IntegerStatistics.Builder builderForValue)

      `optional .orc.proto.IntegerStatistics intStatistics = 2;`

    - #### mergeIntStatistics

          public OrcProto.ColumnStatistics.Builder mergeIntStatistics(OrcProto.IntegerStatistics value)

      `optional .orc.proto.IntegerStatistics intStatistics = 2;`

    - #### clearIntStatistics

          public OrcProto.ColumnStatistics.Builder clearIntStatistics()

      `optional .orc.proto.IntegerStatistics intStatistics = 2;`

    - #### getIntStatisticsBuilder

          public OrcProto.IntegerStatistics.Builder getIntStatisticsBuilder()

      `optional .orc.proto.IntegerStatistics intStatistics = 2;`

    - #### getIntStatisticsOrBuilder

          public OrcProto.IntegerStatisticsOrBuilder getIntStatisticsOrBuilder()

      `optional .orc.proto.IntegerStatistics intStatistics = 2;`
      Specified by:
        `getIntStatisticsOrBuilder` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### hasDoubleStatistics

          public boolean hasDoubleStatistics()

      `optional .orc.proto.DoubleStatistics doubleStatistics = 3;`
      Specified by:
        `hasDoubleStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### getDoubleStatistics

          public OrcProto.DoubleStatistics getDoubleStatistics()

      `optional .orc.proto.DoubleStatistics doubleStatistics = 3;`
      Specified by:
        `getDoubleStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### setDoubleStatistics

          public OrcProto.ColumnStatistics.Builder setDoubleStatistics(OrcProto.DoubleStatistics value)

      `optional .orc.proto.DoubleStatistics doubleStatistics = 3;`

    - #### setDoubleStatistics

          public OrcProto.ColumnStatistics.Builder setDoubleStatistics(OrcProto.DoubleStatistics.Builder builderForValue)

      `optional .orc.proto.DoubleStatistics doubleStatistics = 3;`

    - #### mergeDoubleStatistics

          public OrcProto.ColumnStatistics.Builder mergeDoubleStatistics(OrcProto.DoubleStatistics value)

      `optional .orc.proto.DoubleStatistics doubleStatistics = 3;`

    - #### clearDoubleStatistics

          public OrcProto.ColumnStatistics.Builder clearDoubleStatistics()

      `optional .orc.proto.DoubleStatistics doubleStatistics = 3;`

    - #### getDoubleStatisticsBuilder

          public OrcProto.DoubleStatistics.Builder getDoubleStatisticsBuilder()

      `optional .orc.proto.DoubleStatistics doubleStatistics = 3;`

    - #### getDoubleStatisticsOrBuilder

          public OrcProto.DoubleStatisticsOrBuilder getDoubleStatisticsOrBuilder()

      `optional .orc.proto.DoubleStatistics doubleStatistics = 3;`
      Specified by:
        `getDoubleStatisticsOrBuilder` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### hasStringStatistics

          public boolean hasStringStatistics()

      `optional .orc.proto.StringStatistics stringStatistics = 4;`
      Specified by:
        `hasStringStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### getStringStatistics

          public OrcProto.StringStatistics getStringStatistics()

      `optional .orc.proto.StringStatistics stringStatistics = 4;`
      Specified by:
        `getStringStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### setStringStatistics

          public OrcProto.ColumnStatistics.Builder setStringStatistics(OrcProto.StringStatistics value)

      `optional .orc.proto.StringStatistics stringStatistics = 4;`

    - #### setStringStatistics

          public OrcProto.ColumnStatistics.Builder setStringStatistics(OrcProto.StringStatistics.Builder builderForValue)

      `optional .orc.proto.StringStatistics stringStatistics = 4;`

    - #### mergeStringStatistics

          public OrcProto.ColumnStatistics.Builder mergeStringStatistics(OrcProto.StringStatistics value)

      `optional .orc.proto.StringStatistics stringStatistics = 4;`

    - #### clearStringStatistics

          public OrcProto.ColumnStatistics.Builder clearStringStatistics()

      `optional .orc.proto.StringStatistics stringStatistics = 4;`

    - #### getStringStatisticsBuilder

          public OrcProto.StringStatistics.Builder getStringStatisticsBuilder()

      `optional .orc.proto.StringStatistics stringStatistics = 4;`

    - #### getStringStatisticsOrBuilder

          public OrcProto.StringStatisticsOrBuilder getStringStatisticsOrBuilder()

      `optional .orc.proto.StringStatistics stringStatistics = 4;`
      Specified by:
        `getStringStatisticsOrBuilder` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### hasBucketStatistics

          public boolean hasBucketStatistics()

      `optional .orc.proto.BucketStatistics bucketStatistics = 5;`
      Specified by:
        `hasBucketStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### getBucketStatistics

          public OrcProto.BucketStatistics getBucketStatistics()

      `optional .orc.proto.BucketStatistics bucketStatistics = 5;`
      Specified by:
        `getBucketStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### setBucketStatistics

          public OrcProto.ColumnStatistics.Builder setBucketStatistics(OrcProto.BucketStatistics value)

      `optional .orc.proto.BucketStatistics bucketStatistics = 5;`

    - #### setBucketStatistics

          public OrcProto.ColumnStatistics.Builder setBucketStatistics(OrcProto.BucketStatistics.Builder builderForValue)

      `optional .orc.proto.BucketStatistics bucketStatistics = 5;`

    - #### mergeBucketStatistics

          public OrcProto.ColumnStatistics.Builder mergeBucketStatistics(OrcProto.BucketStatistics value)

      `optional .orc.proto.BucketStatistics bucketStatistics = 5;`

    - #### clearBucketStatistics

          public OrcProto.ColumnStatistics.Builder clearBucketStatistics()

      `optional .orc.proto.BucketStatistics bucketStatistics = 5;`

    - #### getBucketStatisticsBuilder

          public OrcProto.BucketStatistics.Builder getBucketStatisticsBuilder()

      `optional .orc.proto.BucketStatistics bucketStatistics = 5;`

    - #### getBucketStatisticsOrBuilder

          public OrcProto.BucketStatisticsOrBuilder getBucketStatisticsOrBuilder()

      `optional .orc.proto.BucketStatistics bucketStatistics = 5;`
      Specified by:
        `getBucketStatisticsOrBuilder` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### hasDecimalStatistics

          public boolean hasDecimalStatistics()

      `optional .orc.proto.DecimalStatistics decimalStatistics = 6;`
      Specified by:
        `hasDecimalStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### getDecimalStatistics

          public OrcProto.DecimalStatistics getDecimalStatistics()

      `optional .orc.proto.DecimalStatistics decimalStatistics = 6;`
      Specified by:
        `getDecimalStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### setDecimalStatistics

          public OrcProto.ColumnStatistics.Builder setDecimalStatistics(OrcProto.DecimalStatistics value)

      `optional .orc.proto.DecimalStatistics decimalStatistics = 6;`

    - #### setDecimalStatistics

          public OrcProto.ColumnStatistics.Builder setDecimalStatistics(OrcProto.DecimalStatistics.Builder builderForValue)

      `optional .orc.proto.DecimalStatistics decimalStatistics = 6;`

    - #### mergeDecimalStatistics

          public OrcProto.ColumnStatistics.Builder mergeDecimalStatistics(OrcProto.DecimalStatistics value)

      `optional .orc.proto.DecimalStatistics decimalStatistics = 6;`

    - #### clearDecimalStatistics

          public OrcProto.ColumnStatistics.Builder clearDecimalStatistics()

      `optional .orc.proto.DecimalStatistics decimalStatistics = 6;`

    - #### getDecimalStatisticsBuilder

          public OrcProto.DecimalStatistics.Builder getDecimalStatisticsBuilder()

      `optional .orc.proto.DecimalStatistics decimalStatistics = 6;`

    - #### getDecimalStatisticsOrBuilder

          public OrcProto.DecimalStatisticsOrBuilder getDecimalStatisticsOrBuilder()

      `optional .orc.proto.DecimalStatistics decimalStatistics = 6;`
      Specified by:
        `getDecimalStatisticsOrBuilder` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### hasDateStatistics

          public boolean hasDateStatistics()

      `optional .orc.proto.DateStatistics dateStatistics = 7;`
      Specified by:
        `hasDateStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### getDateStatistics

          public OrcProto.DateStatistics getDateStatistics()

      `optional .orc.proto.DateStatistics dateStatistics = 7;`
      Specified by:
        `getDateStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### setDateStatistics

          public OrcProto.ColumnStatistics.Builder setDateStatistics(OrcProto.DateStatistics value)

      `optional .orc.proto.DateStatistics dateStatistics = 7;`

    - #### setDateStatistics

          public OrcProto.ColumnStatistics.Builder setDateStatistics(OrcProto.DateStatistics.Builder builderForValue)

      `optional .orc.proto.DateStatistics dateStatistics = 7;`

    - #### mergeDateStatistics

          public OrcProto.ColumnStatistics.Builder mergeDateStatistics(OrcProto.DateStatistics value)

      `optional .orc.proto.DateStatistics dateStatistics = 7;`

    - #### clearDateStatistics

          public OrcProto.ColumnStatistics.Builder clearDateStatistics()

      `optional .orc.proto.DateStatistics dateStatistics = 7;`

    - #### getDateStatisticsBuilder

          public OrcProto.DateStatistics.Builder getDateStatisticsBuilder()

      `optional .orc.proto.DateStatistics dateStatistics = 7;`

    - #### getDateStatisticsOrBuilder

          public OrcProto.DateStatisticsOrBuilder getDateStatisticsOrBuilder()

      `optional .orc.proto.DateStatistics dateStatistics = 7;`
      Specified by:
        `getDateStatisticsOrBuilder` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### hasBinaryStatistics

          public boolean hasBinaryStatistics()

      `optional .orc.proto.BinaryStatistics binaryStatistics = 8;`
      Specified by:
        `hasBinaryStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### getBinaryStatistics

          public OrcProto.BinaryStatistics getBinaryStatistics()

      `optional .orc.proto.BinaryStatistics binaryStatistics = 8;`
      Specified by:
        `getBinaryStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### setBinaryStatistics

          public OrcProto.ColumnStatistics.Builder setBinaryStatistics(OrcProto.BinaryStatistics value)

      `optional .orc.proto.BinaryStatistics binaryStatistics = 8;`

    - #### setBinaryStatistics

          public OrcProto.ColumnStatistics.Builder setBinaryStatistics(OrcProto.BinaryStatistics.Builder builderForValue)

      `optional .orc.proto.BinaryStatistics binaryStatistics = 8;`

    - #### mergeBinaryStatistics

          public OrcProto.ColumnStatistics.Builder mergeBinaryStatistics(OrcProto.BinaryStatistics value)

      `optional .orc.proto.BinaryStatistics binaryStatistics = 8;`

    - #### clearBinaryStatistics

          public OrcProto.ColumnStatistics.Builder clearBinaryStatistics()

      `optional .orc.proto.BinaryStatistics binaryStatistics = 8;`

    - #### getBinaryStatisticsBuilder

          public OrcProto.BinaryStatistics.Builder getBinaryStatisticsBuilder()

      `optional .orc.proto.BinaryStatistics binaryStatistics = 8;`

    - #### getBinaryStatisticsOrBuilder

          public OrcProto.BinaryStatisticsOrBuilder getBinaryStatisticsOrBuilder()

      `optional .orc.proto.BinaryStatistics binaryStatistics = 8;`
      Specified by:
        `getBinaryStatisticsOrBuilder` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### hasTimestampStatistics

          public boolean hasTimestampStatistics()

      `optional .orc.proto.TimestampStatistics timestampStatistics = 9;`
      Specified by:
        `hasTimestampStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### getTimestampStatistics

          public OrcProto.TimestampStatistics getTimestampStatistics()

      `optional .orc.proto.TimestampStatistics timestampStatistics = 9;`
      Specified by:
        `getTimestampStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### setTimestampStatistics

          public OrcProto.ColumnStatistics.Builder setTimestampStatistics(OrcProto.TimestampStatistics value)

      `optional .orc.proto.TimestampStatistics timestampStatistics = 9;`

    - #### setTimestampStatistics

          public OrcProto.ColumnStatistics.Builder setTimestampStatistics(OrcProto.TimestampStatistics.Builder builderForValue)

      `optional .orc.proto.TimestampStatistics timestampStatistics = 9;`

    - #### mergeTimestampStatistics

          public OrcProto.ColumnStatistics.Builder mergeTimestampStatistics(OrcProto.TimestampStatistics value)

      `optional .orc.proto.TimestampStatistics timestampStatistics = 9;`

    - #### clearTimestampStatistics

          public OrcProto.ColumnStatistics.Builder clearTimestampStatistics()

      `optional .orc.proto.TimestampStatistics timestampStatistics = 9;`

    - #### getTimestampStatisticsBuilder

          public OrcProto.TimestampStatistics.Builder getTimestampStatisticsBuilder()

      `optional .orc.proto.TimestampStatistics timestampStatistics = 9;`

    - #### getTimestampStatisticsOrBuilder

          public OrcProto.TimestampStatisticsOrBuilder getTimestampStatisticsOrBuilder()

      `optional .orc.proto.TimestampStatistics timestampStatistics = 9;`
      Specified by:
        `getTimestampStatisticsOrBuilder` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### hasHasNull

          public boolean hasHasNull()

      `optional bool hasNull = 10;`
      Specified by:
        `hasHasNull` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### getHasNull

          public boolean getHasNull()

      `optional bool hasNull = 10;`
      Specified by:
        `getHasNull` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### setHasNull

          public OrcProto.ColumnStatistics.Builder setHasNull(boolean value)

      `optional bool hasNull = 10;`

    - #### clearHasNull

          public OrcProto.ColumnStatistics.Builder clearHasNull()

      `optional bool hasNull = 10;`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.